[PATCH] fwts-test: only run rsdp regression test on specific arches (LP: #1547602)
Colin King
colin.king at canonical.com
Fri Feb 19 17:35:34 UTC 2016
From: Colin Ian King <colin.king at canonical.com>
We don't want to run this regression test on architectures such as
armhf and ia64 for the moment.
Signed-off-by: Colin Ian King <colin.king at canonical.com>
---
fwts-test/rsdp-0001/test-0001.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/fwts-test/rsdp-0001/test-0001.sh b/fwts-test/rsdp-0001/test-0001.sh
index 4762059..1adaccf 100755
--- a/fwts-test/rsdp-0001/test-0001.sh
+++ b/fwts-test/rsdp-0001/test-0001.sh
@@ -4,6 +4,16 @@ TEST="Test apcitables against broken ACPI RSDP"
NAME=test-0001.sh
TMPLOG=$TMP/rsdp.log.$$
+machine=$(uname -m)
+case $machine in
+x86 | x86_32 | x86_64 | i686 | arm64 | aarch64)
+ ;;
+*)
+ echo SKIP: $TEST, $NAME
+ exit 77
+ ;;
+esac
+
$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/rsdp-0001/acpidump-0001.log rsdp - | cut -c7- | grep "^rsdp" > $TMPLOG
diff $TMPLOG $FWTSTESTDIR/rsdp-0001/rsdp.log >> $FAILURE_LOG
ret=$?
--
2.7.0
More information about the fwts-devel
mailing list